// Copyright 2011 Paul Milenkovic, 118 Shiloh Dr., Madison, WI 53705 U.S.A.
// Free software: Permission granted to use, copy, excerpt or share this
// source code and derived executables provided that this notice is maintained.  

import net.cspeech.DSP.*;

public class SineModulator extends SineFilter implements SISOFilter
{
    // Suppresses parent class echo-to-text-console in invoking Java app
    public void setConsoleOut(long consoleH) {}

    protected void Apply(float[] sig) {
        for (int i = 0; i < sig.length; i++) {
            // Output data point
            sig[i] = (float) (sig[i]*sineVal());
        }
    }
}
